GL related linux compile problem

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).
Post Reply
Brad

GL related linux compile problem

Post by Brad »

I'm having problems compiling VegaSrike on Slackware current. Whether I try compiling the download or the CVS version, the compile always ends with:

Making all in gldrv
make[3]: Entering directory `/home/breed/Tarballs/Games/VegaStrike/vegastrike-0.4.1-installer/vegastrike/src/gldrv'
if g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src -I../../src/boost -O2 -march=i486 -mcpu=i686 -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1 -I/usr/include/GL -I/usr/X11R6/include/GL -DHAVE_AL=1 -I/usr/local/include/AL -I/usr/include/python2.3 -DHAVE_PYTHON=1 -DUSE_BOOST_128=1 -O2 -march=i486 -mcpu=i686 -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math -I/usr/include/SDL -D_REENTRANT -pipe -MT gl_state.o -MD -MP -MF ".deps/gl_state.Tpo" -c -o gl_state.o gl_state.cpp; \
then mv -f ".deps/gl_state.Tpo" ".deps/gl_state.Po"; else rm -f ".deps/gl_state.Tpo"; exit 1; fi
gl_state.cpp: In function `void GFXBlendMode(BLENDFUNC, BLENDFUNC)':
gl_state.cpp:183: error: `GL_CONSTANT_ALPHA' undeclared (first use this
function)
gl_state.cpp:183: error: (Each undeclared identifier is reported only once for
each function it appears in.)
gl_state.cpp:185: error: `GL_ONE_MINUS_CONSTANT_ALPHA' undeclared (first use
this function)
gl_state.cpp:187: error: `GL_CONSTANT_COLOR' undeclared (first use this
function)
gl_state.cpp:189: error: `GL_ONE_MINUS_CONSTANT_COLOR' undeclared (first use
this function)
../../src/cmd/collection.h: At global scope:
../../src/cmd/collection.h:49: warning: inline function `void
UnitCollection::UnitIterator::GetNextValidUnit()' used but never defined
make[3]: *** [gl_state.o] Error 1
make[3]: Leaving directory `/home/breed/Tarballs/Games/VegaStrike/vegastrike-0.4.1-installer/vegastrike/src/gldrv'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/breed/Tarballs/Games/VegaStrike/vegastrike-0.4.1-installer/vegastrike/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/breed/Tarballs/Games/VegaStrike/vegastrike-0.4.1-installer/vegastrike'
make: *** [all] Error 2

The GL_CONSTANT_ALPHA and others are defined in my /usr/include/GL/glext.h file but perhaps the configure error :

checking for GLU library... yes
checking for GL/gl.h... yes
checking GL/glext.h usability... no
checking GL/glext.h presence... yes
configure: WARNING: GL/glext.h: present but cannot be compiled
configure: WARNING: GL/glext.h: check for missing prerequisite headers?
configure: WARNING: GL/glext.h: see the Autoconf documentation
configure: WARNING: GL/glext.h: section "Present But Cannot Be Compiled"
configure: WARNING: GL/glext.h: proceeding with the preprocessor's result
configure: WARNING: GL/glext.h: in the future, the compiler will take precedence
configure: WARNING: ## ------------------------------------------ ##
configure: WARNING: ## Report this to the AC_PACKAGE_NAME lists. ##
configure: WARNING: ## ------------------------------------------ ##
checking for GL/glext.h... yes
checking whether glext.h is recent enough... yes

could provide a clue. In another thread I saw a patch to configure.in where an #include GL/gl.h was added (followed by autoconf) but this did not help in my case.

I am using an NVidia card and I have tried re-installing the drivers (5336) with the --opengl-headers option.

Anyone have any other suggestions/solutions for this problem?

Thanks,
Brad
Brad

excerpt from config.log

Post by Brad »

configure:8938: checking for GL/gl.h
configure:8951: gcc -E -O2 -march=i486 -mcpu=i686 -I/usr/X11R6/include/GL -DH
AVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1 conftest.c
configure:8957: $? = 0
configure:8978: result: yes
configure:9058: checking GL/glext.h usability
configure:9070: gcc -c -O2 -march=i486 -mcpu=i686 -O2 -march=i486 -mcpu=i686
-I/usr/X11R6/include/GL -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1 conft
est.c >&5
In file included from conftest.c:88:
/usr/include/GL/glext.h:2004: error: parse error before "red"
/usr/include/GL/glext.h:2005: error: parse error before "mode"
/usr/include/GL/glext.h:2006: error: parse error before "mode"
/usr/include/GL/glext.h:2007: error: parse error before "target"
/usr/include/GL/glext.h:2008: error: parse error before "target"
/usr/include/GL/glext.h:2009: error: parse error before "target"
/usr/include/GL/glext.h:2010: error: parse error before "target"
/usr/include/GL/glext.h:2011: error: parse error before "target"
/usr/include/GL/glext.h:2012: error: parse error before "target"
/usr/include/GL/glext.h:2013: error: parse error before "target"
/usr/include/GL/glext.h:2014: error: parse error before "target"
/usr/include/GL/glext.h:2015: error: parse error before "target"
/usr/include/GL/glext.h:2016: error: parse error before "target"
/usr/include/GL/glext.h:2017: error: parse error before "target"
/usr/include/GL/glext.h:2018: error: parse error before "target"
/usr/include/GL/glext.h:2019: error: parse error before "target"
/usr/include/GL/glext.h:2020: error: parse error before "target"
/usr/include/GL/glext.h:2021: error: parse error before "target"
/usr/include/GL/glext.h:2022: error: parse error before "target"
/usr/include/GL/glext.h:2023: error: parse error before "target"
/usr/include/GL/glext.h:2024: error: parse error before "target"
/usr/include/GL/glext.h:2025: error: parse error before "target"
/usr/include/GL/glext.h:2026: error: parse error before "target"
/usr/include/GL/glext.h:2027: error: parse error before "target"

and many more parse errors...

line 2004 in glext.h where all these errors begin is where a large block of typedefs begin:

typedef void (APIENTRY * PFNGLBLENDCOLORPROC) (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);
typedef void (APIENTRY * PFNGLBLENDEQUATIONPROC) (GLenum mode);
typedef void (APIENTRY * PFNGLDRAWRANGEELEMENTSPROC) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices);
typedef void (APIENTRY * PFNGLCOLORTABLEPROC) (GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table);
typedef void (APIENTRY * PFNGLCOLORTABLEPARAMETERFVPROC) (GLenum target, GLenum pname, const GLfloat *params);
typedef void (APIENTRY * PFNGLCOLORTABLEPARAMETERIVPROC) (GLenum target, GLenum pname, const GLint *params);
typedef void (APIENTRY * PFNGLCOPYCOLORTABLEPROC) (GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width);
typedef void (APIENTRY * PFNGLGETCOLORTABLEPROC) (GLenum target, GLenum format, GLenum type, GLvoid *table);


Why can configure see this file well enough to have parse errors, but make can't see it so it can define GL_CONSTANT_ALPHA???

lines 58-64 of glext.h
#define GL_GLEXT_VERSION 6

#ifndef GL_VERSION_1_2
#define GL_CONSTANT_COLOR 0x8001
#define GL_ONE_MINUS_CONSTANT_COLOR 0x8002
#define GL_CONSTANT_ALPHA 0x8003
#define GL_ONE_MINUS_CONSTANT_ALPHA 0x8004

Brad
leerbag

Re: GL related linux compile problem

Post by leerbag »

Hi
I'm having the same problem: the compilation always ends with:

Code: Select all

../../src/cmd/collection.h:49: warning: inline function `void
   UnitCollection::UnitIterator::GetNextValidUnit()' used but never defined
if g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src -I../../src/boost  -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      -DHAVE_AL=1   -I/usr/local/include/python2.3 -DHAVE_PYTHON=1  -DUSE_BOOST_128=1   -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math   -I/usr/include/SDL -D_REENTRANT -pipe  -MT gl_state.o -MD -MP -MF ".deps/gl_state.Tpo" \
  -c -o gl_state.o `test -f 'gl_state.cpp' || echo './'`gl_state.cpp; \
then mv -f ".deps/gl_state.Tpo" ".deps/gl_state.Po"; \
else rm -f ".deps/gl_state.Tpo"; exit 1; \
fi
gl_state.cpp: In function `void GFXBlendMode(BLENDFUNC, BLENDFUNC)':
gl_state.cpp:182: error: `GL_CONSTANT_ALPHA' undeclared (first use this
   function)
gl_state.cpp:182: error: (Each undeclared identifier is reported only once for
   each function it appears in.)
gl_state.cpp:184: error: `GL_ONE_MINUS_CONSTANT_ALPHA' undeclared (first use
   this function)
gl_state.cpp:186: error: `GL_CONSTANT_COLOR' undeclared (first use this
   function)
gl_state.cpp:188: error: `GL_ONE_MINUS_CONSTANT_COLOR' undeclared (first use
   this function)
and then other errors.

I have tried everything I could find in other threads:
- using the glext.h of hellcatv from here: http://vegastrike.sourceforge.net/forum ... .php?t=639
- compiling with

Code: Select all

automake -a --add-missing
before the make
and some other idiot things, but nothing works.

Here is my config.log:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.57. Invocation command line was

$ ./configure --enable-boost-128

## --------- ##
## Platform. ##
## --------- ##

hostname = gab
uname -m = i686
uname -r = 2.4.21-202-athlon
uname -s = Linux
uname -v = #1 Fri Apr 2 21:22:14 UTC 2004

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /home/gab/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1369: checking build system type
configure:1387: result: i686-pc-linux-gnu
configure:1395: checking host system type
configure:1409: result: i686-pc-linux-gnu
configure:1417: checking target system type
configure:1431: result: i686-pc-linux-gnu
configure:1461: checking for a BSD-compatible install
configure:1515: result: /usr/bin/install -c
configure:1526: checking whether build environment is sane
configure:1569: result: yes
configure:1602: checking for gawk
configure:1618: found /usr/bin/gawk
configure:1628: result: gawk
configure:1638: checking whether make sets $(MAKE)
configure:1658: result: yes
configure:1873: checking for gcc
configure:1889: found /usr/bin/gcc
configure:1899: result: gcc
configure:2143: checking for C compiler version
configure:2146: gcc --version </dev/null >&5
gcc (GCC) 3.3.1 (SuSE Linux)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2149: $? = 0
configure:2151: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i586-suse-linux/3.3.1/specs
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib --enable-languages=c,c++,f77,objc,java,ada --disable-checking --enable-libgcj --with-gxx-include-dir=/usr/include/g++ --with-slibdir=/lib --with-system-zlib --enable-shared --enable-__cxa_atexit i586-suse-linux
Thread model: posix
gcc version 3.3.1 (SuSE Linux)
configure:2154: $? = 0
configure:2156: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:2159: $? = 1
configure:2183: checking for C compiler default output
configure:2186: gcc conftest.c >&5
configure:2189: $? = 0
configure:2235: result: a.out
configure:2240: checking whether the C compiler works
configure:2246: ./a.out
configure:2249: $? = 0
configure:2266: result: yes
configure:2273: checking whether we are cross compiling
configure:2275: result: no
configure:2278: checking for suffix of executables
configure:2280: gcc -o conftest conftest.c >&5
configure:2283: $? = 0
configure:2308: result:
configure:2314: checking for suffix of object files
configure:2336: gcc -c conftest.c >&5
configure:2339: $? = 0
configure:2361: result: o
configure:2365: checking whether we are using the GNU C compiler
configure:2390: gcc -c conftest.c >&5
configure:2393: $? = 0
configure:2396: test -s conftest.o
configure:2399: $? = 0
configure:2412: result: yes
configure:2418: checking whether gcc accepts -g
configure:2440: gcc -c -g conftest.c >&5
configure:2443: $? = 0
configure:2446: test -s conftest.o
configure:2449: $? = 0
configure:2460: result: yes
configure:2477: checking for gcc option to accept ANSI C
configure:2538: gcc -c conftest.c >&5
configure:2541: $? = 0
configure:2544: test -s conftest.o
configure:2547: $? = 0
configure:2565: result: none needed
configure:2583: gcc -c conftest.c >&5
conftest.c:2: error: parse error before "me"
configure:2586: $? = 1
configure: failed program was:
| #ifndef __cplusplus
| choke me
| #endif
configure:2706: checking for style of include used by make
configure:2734: result: GNU
configure:2762: checking dependency style of gcc
configure:2845: result: gcc3
configure:2883: gcc -c -falign-loops=4 conftest.c >&5
configure:2886: $? = 0
configure:2889: test -s conftest.o
configure:2892: $? = 0
configure:2960: checking for g++
configure:2976: found /usr/bin/g++
configure:2986: result: g++
configure:3002: checking for C++ compiler version
configure:3005: g++ --version </dev/null >&5
g++ (GCC) 3.3.1 (SuSE Linux)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3008: $? = 0
configure:3010: g++ -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i586-suse-linux/3.3.1/specs
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib --enable-languages=c,c++,f77,objc,java,ada --disable-checking --enable-libgcj --with-gxx-include-dir=/usr/include/g++ --with-slibdir=/lib --with-system-zlib --enable-shared --enable-__cxa_atexit i586-suse-linux
Thread model: posix
gcc version 3.3.1 (SuSE Linux)
configure:3013: $? = 0
configure:3015: g++ -V </dev/null >&5
g++: `-V' option must have argument
configure:3018: $? = 1
configure:3021: checking whether we are using the GNU C++ compiler
configure:3046: g++ -c conftest.cc >&5
configure:3049: $? = 0
configure:3052: test -s conftest.o
configure:3055: $? = 0
configure:3068: result: yes
configure:3074: checking whether g++ accepts -g
configure:3096: g++ -c -g conftest.cc >&5
configure:3099: $? = 0
configure:3102: test -s conftest.o
configure:3105: $? = 0
configure:3116: result: yes
configure:3160: g++ -c conftest.cc >&5
configure:3163: $? = 0
configure:3166: test -s conftest.o
configure:3169: $? = 0
configure:3196: g++ -c conftest.cc >&5
configure: In function `int main()':
configure:3193: error: `exit' undeclared (first use this function)
configure:3193: error: (Each undeclared identifier is reported only once for
each function it appears in.)
configure:3199: $? = 1
configure: failed program was:
| #line 3179 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| /* end confdefs.h. */
|
| int
| main ()
| {
| exit (42);
| ;
| return 0;
| }
configure:3160: g++ -c conftest.cc >&5
configure:3163: $? = 0
configure:3166: test -s conftest.o
configure:3169: $? = 0
configure:3196: g++ -c conftest.cc >&5
configure:3199: $? = 0
configure:3202: test -s conftest.o
configure:3205: $? = 0
configure:3230: checking dependency style of g++
configure:3313: result: gcc3
configure:3335: checking how to run the C++ preprocessor
configure:3367: g++ -E conftest.cc
configure:3373: $? = 0
configure:3405: g++ -E conftest.cc
configure:3409:28: ac_nonexistent.h: No such file or directory
configure:3411: $? = 1
configure: failed program was:
| #line 3396 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3449: result: g++ -E
configure:3474: g++ -E conftest.cc
configure:3480: $? = 0
configure:3512: g++ -E conftest.cc
configure:3516:28: ac_nonexistent.h: No such file or directory
configure:3518: $? = 1
configure: failed program was:
| #line 3503 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3574: checking for a BSD-compatible install
configure:3628: result: /usr/bin/install -c
configure:3639: checking whether ln -s works
configure:3643: result: yes
configure:3691: checking for ranlib
configure:3707: found /usr/bin/ranlib
configure:3718: result: ranlib
configure:3736: checking how to run the C preprocessor
configure:3772: gcc -E conftest.c
configure:3778: $? = 0
configure:3810: gcc -E conftest.c
configure:3814:28: ac_nonexistent.h: No such file or directory
configure:3816: $? = 1
configure: failed program was:
| #line 3801 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3854: result: gcc -E
configure:3879: gcc -E conftest.c
configure:3885: $? = 0
configure:3917: gcc -E conftest.c
configure:3921:28: ac_nonexistent.h: No such file or directory
configure:3923: $? = 1
configure: failed program was:
| #line 3908 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3966: checking for egrep
configure:3976: result: grep -E
configure:3981: checking for ANSI C header files
configure:4007: gcc -c conftest.c >&5
configure:4010: $? = 0
configure:4013: test -s conftest.o
configure:4016: $? = 0
configure:4105: gcc -o conftest conftest.c >&5
configure:4108: $? = 0
configure:4110: ./conftest
configure:4113: $? = 0
configure:4128: result: yes
configure:4146: checking for dirent.h that defines DIR
configure:4171: gcc -c conftest.c >&5
configure:4174: $? = 0
configure:4177: test -s conftest.o
configure:4180: $? = 0
configure:4191: result: yes
configure:4204: checking for library containing opendir
configure:4235: gcc -o conftest conftest.c >&5
configure:4238: $? = 0
configure:4241: test -s conftest
configure:4244: $? = 0
configure:4303: result: none required
configure:4433: checking for sys/types.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for sys/stat.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for stdlib.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for string.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for memory.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for strings.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for inttypes.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for stdint.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4433: checking for unistd.h
configure:4450: gcc -c conftest.c >&5
configure:4453: $? = 0
configure:4456: test -s conftest.o
configure:4459: $? = 0
configure:4470: result: yes
configure:4501: checking fcntl.h usability
configure:4514: gcc -c conftest.c >&5
configure:4517: $? = 0
configure:4520: test -s conftest.o
configure:4523: $? = 0
configure:4533: result: yes
configure:4537: checking fcntl.h presence
configure:4548: gcc -E conftest.c
configure:4554: $? = 0
configure:4573: result: yes
configure:4609: checking for fcntl.h
configure:4616: result: yes
configure:4501: checking limits.h usability
configure:4514: gcc -c conftest.c >&5
configure:4517: $? = 0
configure:4520: test -s conftest.o
configure:4523: $? = 0
configure:4533: result: yes
configure:4537: checking limits.h presence
configure:4548: gcc -E conftest.c
configure:4554: $? = 0
configure:4573: result: yes
configure:4609: checking for limits.h
configure:4616: result: yes
configure:4501: checking malloc.h usability
configure:4514: gcc -c conftest.c >&5
configure:4517: $? = 0
configure:4520: test -s conftest.o
configure:4523: $? = 0
configure:4533: result: yes
configure:4537: checking malloc.h presence
configure:4548: gcc -E conftest.c
configure:4554: $? = 0
configure:4573: result: yes
configure:4609: checking for malloc.h
configure:4616: result: yes
configure:4501: checking sys/ioctl.h usability
configure:4514: gcc -c conftest.c >&5
configure:4517: $? = 0
configure:4520: test -s conftest.o
configure:4523: $? = 0
configure:4533: result: yes
configure:4537: checking sys/ioctl.h presence
configure:4548: gcc -E conftest.c
configure:4554: $? = 0
configure:4573: result: yes
configure:4609: checking for sys/ioctl.h
configure:4616: result: yes
configure:4501: checking sys/time.h usability
configure:4514: gcc -c conftest.c >&5
configure:4517: $? = 0
configure:4520: test -s conftest.o
configure:4523: $? = 0
configure:4533: result: yes
configure:4537: checking sys/time.h presence
configure:4548: gcc -E conftest.c
configure:4554: $? = 0
configure:4573: result: yes
configure:4609: checking for sys/time.h
configure:4616: result: yes
configure:4492: checking for unistd.h
configure:4497: result: yes
configure:4632: checking for an ANSI C-conforming const
configure:4700: gcc -c conftest.c >&5
configure:4703: $? = 0
configure:4706: test -s conftest.o
configure:4709: $? = 0
configure:4720: result: yes
configure:4730: checking whether time.h and sys/time.h may both be included
configure:4756: gcc -c conftest.c >&5
configure:4759: $? = 0
configure:4762: test -s conftest.o
configure:4765: $? = 0
configure:4776: result: yes
configure:4786: checking for inline
configure:4808: gcc -c conftest.c >&5
configure:4811: $? = 0
configure:4814: test -s conftest.o
configure:4817: $? = 0
configure:4829: result: inline
configure:4844: checking for size_t
configure:4869: gcc -c conftest.c >&5
configure:4872: $? = 0
configure:4875: test -s conftest.o
configure:4878: $? = 0
configure:4889: result: yes
configure:4914: checking for getcwd
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for gettimeofday
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for strdup
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for select
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for socket
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for strstr
configure:4964: gcc -o conftest conftest.c >&5
configure:4971: warning: conflicting types for built-in function `strstr'
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for access
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:4914: checking for lstat
configure:4964: gcc -o conftest conftest.c >&5
configure:4967: $? = 0
configure:4970: test -s conftest
configure:4973: $? = 0
configure:4984: result: yes
configure:5000: checking for finite
configure:5050: gcc -o conftest conftest.c >&5
configure:5053: $? = 0
configure:5056: test -s conftest
configure:5059: $? = 0
configure:5070: result: yes
configure:5000: checking for isnan
configure:5050: gcc -o conftest conftest.c >&5
configure:5053: $? = 0
configure:5056: test -s conftest
configure:5059: $? = 0
configure:5070: result: yes
configure:5085: checking for _finite
configure:5135: gcc -o conftest conftest.c >&5
/tmp/ccUt4uFF.o(.text+0x16): In function `main':
: undefined reference to `_finite'
/tmp/ccUt4uFF.o(.data+0x0): undefined reference to `_finite'
collect2: ld returned 1 exit status
configure:5138: $? = 1
configure: failed program was:
| #line 5090 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _finite (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _finite ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__finite) || defined (__stub____finite)
| choke me
| #else
| char (*f) () = _finite;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _finite;
| ;
| return 0;
| }
configure:5155: result: no
configure:5085: checking for _isnan
configure:5135: gcc -o conftest conftest.c >&5
/tmp/ccgLV12e.o(.text+0x16): In function `main':
: undefined reference to `_isnan'
/tmp/ccgLV12e.o(.data+0x0): undefined reference to `_isnan'
collect2: ld returned 1 exit status
configure:5138: $? = 1
configure: failed program was:
| #line 5090 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _isnan (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _isnan ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__isnan) || defined (__stub____isnan)
| choke me
| #else
| char (*f) () = _isnan;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _isnan;
| ;
| return 0;
| }
configure:5155: result: no
configure:5180: checking ieeefp.h usability
configure:5193: gcc -c conftest.c >&5
configure:5257:20: ieeefp.h: No such file or directory
configure:5196: $? = 1
configure: failed program was:
| #line 5182 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <ieeefp.h>
configure:5212: result: no
configure:5216: checking ieeefp.h presence
configure:5227: gcc -E conftest.c
configure:5259:20: ieeefp.h: No such file or directory
configure:5233: $? = 1
configure: failed program was:
| #line 5218 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <ieeefp.h>
configure:5252: result: no
configure:5288: checking for ieeefp.h
configure:5295: result: no
configure:5180: checking zlib.h usability
configure:5193: gcc -c conftest.c >&5
configure:5196: $? = 0
configure:5199: test -s conftest.o
configure:5202: $? = 0
configure:5212: result: yes
configure:5216: checking zlib.h presence
configure:5227: gcc -E conftest.c
configure:5233: $? = 0
configure:5252: result: yes
configure:5288: checking for zlib.h
configure:5295: result: yes
configure:5309: checking for pid_t
configure:5334: gcc -c conftest.c >&5
configure:5337: $? = 0
configure:5340: test -s conftest.o
configure:5343: $? = 0
configure:5354: result: yes
configure:5372: checking for unistd.h
configure:5377: result: yes
configure:5381: checking vfork.h usability
configure:5394: gcc -c conftest.c >&5
configure:5460:19: vfork.h: No such file or directory
configure:5397: $? = 1
configure: failed program was:
| #line 5383 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <vfork.h>
configure:5413: result: no
configure:5417: checking vfork.h presence
configure:5428: gcc -E conftest.c
configure:5462:19: vfork.h: No such file or directory
configure:5434: $? = 1
configure: failed program was:
| #line 5419 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <vfork.h>
configure:5453: result: no
configure:5489: checking for vfork.h
configure:5496: result: no
configure:5514: checking for fork
configure:5564: gcc -o conftest conftest.c >&5
configure:5567: $? = 0
configure:5570: test -s conftest
configure:5573: $? = 0
configure:5584: result: yes
configure:5514: checking for vfork
configure:5564: gcc -o conftest conftest.c >&5
configure:5567: $? = 0
configure:5570: test -s conftest
configure:5573: $? = 0
configure:5584: result: yes
configure:5595: checking for working fork
configure:5618: gcc -o conftest conftest.c >&5
configure:5621: $? = 0
configure:5623: ./conftest
configure:5626: $? = 0
configure:5640: result: yes
configure:5661: checking for working vfork
configure:5795: result: yes
configure:5832: checking for stdlib.h
configure:5837: result: yes
configure:5832: checking for unistd.h
configure:5837: result: yes
configure:5973: checking for getpagesize
configure:6023: gcc -o conftest conftest.c >&5
configure:6026: $? = 0
configure:6029: test -s conftest
configure:6032: $? = 0
configure:6043: result: yes
configure:6053: checking for working mmap
configure:6196: gcc -o conftest conftest.c >&5
configure:6199: $? = 0
configure:6201: ./conftest
configure:6204: $? = 0
configure:6218: result: yes
configure:6229: checking for working memcmp
configure:6278: gcc -o conftest conftest.c >&5
configure:6281: $? = 0
configure:6283: ./conftest
configure:6286: $? = 0
configure:6300: result: yes
configure:6345: gcc -c conftest.c >&5
configure:6348: $? = 0
configure:6351: test -s conftest.o
configure:6354: $? = 0
configure:6393: gcc -c -gdwarf-2 -g3 conftest.c >&5
configure:6396: $? = 0
configure:6399: test -s conftest.o
configure:6402: $? = 0
configure:6514: checking for Win32 platform
configure:6537: result: no
configure:6548: checking for Linux platform
configure:6571: result: yes
configure:6579: checking for MacOSX platform
configure:6602: result: no
configure:6626: checking for python
configure:6689: result: python 2.3.3
configure:6804: checking for sdl-config
configure:6822: found /usr/bin/sdl-config
configure:6835: result: /usr/bin/sdl-config
configure:6843: checking for SDL - version >= 1.0.1
configure:6934: gcc -o conftest -I/usr/include/SDL -D_REENTRANT conftest.c -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread >&5
configure:6937: $? = 0
configure:6939: ./conftest
configure:6942: $? = 0
configure:6960: result: yes
configure:7054: checking for SDL_JoystickOpen
configure:7104: gcc -o conftest conftest.c -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread >&5
configure:7107: $? = 0
configure:7110: test -s conftest
configure:7113: $? = 0
configure:7124: result: yes
configure:7153: checking for Mix_OpenAudio in -lSDL_mixer
configure:7184: gcc -o conftest conftest.c -lSDL_mixer -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread >&5
configure:7187: $? = 0
configure:7190: test -s conftest
configure:7193: $? = 0
configure:7205: result: yes
configure:7262: checking for GL library
configure:7282: gcc -o conftest conftest.c -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer -lGL >&5
configure:7285: $? = 0
configure:7288: test -s conftest
configure:7291: $? = 0
configure:7301: result: yes
configure:7701: checking for glXGetProcAddressARB
configure:7751: gcc -o conftest conftest.c -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer -lGL >&5
configure:7754: $? = 0
configure:7757: test -s conftest
configure:7760: $? = 0
configure:7771: result: yes
configure:7829: checking for GLU library
configure:7849: gcc -o conftest conftest.c -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer -lGL -lGLU >&5
configure:7852: $? = 0
configure:7855: test -s conftest
configure:7858: $? = 0
configure:7868: result: yes
configure:8289: checking for GL/gl.h
configure:8303: gcc -E -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1 conftest.c
configure:8309: $? = 0
configure:8329: result: yes
configure:8409: checking GL/glext.h usability
configure:8422: gcc -c -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1 conftest.c >&5
In file included from configure:8498:
/usr/include/GL/glext.h:2004: error: parse error before "red"
/usr/include/GL/glext.h:2005: error: parse error before "mode"
/usr/include/GL/glext.h:2006: error: parse error before "mode"
/usr/include/GL/glext.h:2007: error: parse error before "target"
/usr/include/GL/glext.h:2008: error: parse error before "target"
/usr/include/GL/glext.h:2009: error: parse error before "target"
/usr/include/GL/glext.h:2010: error: parse error before "target"
/usr/include/GL/glext.h:2011: error: parse error before "target"
/usr/include/GL/glext.h:2012: error: parse error before "target"
/usr/include/GL/glext.h:2013: error: parse error before "target"
/usr/include/GL/glext.h:2014: error: parse error before "target"
/usr/include/GL/glext.h:2015: error: parse error before "target"
/usr/include/GL/glext.h:2016: error: parse error before "target"
/usr/include/GL/glext.h:2017: error: parse error before "target"
/usr/include/GL/glext.h:2018: error: parse error before "target"
/usr/include/GL/glext.h:2019: error: parse error before "target"
/usr/include/GL/glext.h:2020: error: parse error before "target"
/usr/include/GL/glext.h:2021: error: parse error before "target"
/usr/include/GL/glext.h:2022: error: parse error before "target"
/usr/include/GL/glext.h:2023: error: parse error before "target"
/usr/include/GL/glext.h:2024: error: parse error before "target"
/usr/include/GL/glext.h:2025: error: parse error before "target"
/usr/include/GL/glext.h:2026: error: parse error before "target"
/usr/include/GL/glext.h:2027: error: parse error before "target"
/usr/include/GL/glext.h:2028: error: parse error before "target"
/usr/include/GL/glext.h:2029: error: parse error before "target"
/usr/include/GL/glext.h:2030: error: parse error before "target"
/usr/include/GL/glext.h:2031: error: parse error before "target"
/usr/include/GL/glext.h:2032: error: parse error before "target"
/usr/include/GL/glext.h:2033: error: parse error before "target"
/usr/include/GL/glext.h:2034: error: parse error before "target"
/usr/include/GL/glext.h:2035: error: parse error before "target"
/usr/include/GL/glext.h:2036: error: parse error before "target"
/usr/include/GL/glext.h:2037: error: parse error before "target"
/usr/include/GL/glext.h:2038: error: parse error before "target"
/usr/include/GL/glext.h:2039: error: parse error before "target"
/usr/include/GL/glext.h:2040: error: parse error before "target"
/usr/include/GL/glext.h:2041: error: parse error before "target"
/usr/include/GL/glext.h:2042: error: parse error before "texture"
/usr/include/GL/glext.h:2043: error: parse error before "texture"
/usr/include/GL/glext.h:2044: error: parse error before "target"
/usr/include/GL/glext.h:2045: error: parse error before "target"
/usr/include/GL/glext.h:2046: error: parse error before "target"
/usr/include/GL/glext.h:2047: error: parse error before "target"
/usr/include/GL/glext.h:2048: error: parse error before "target"
/usr/include/GL/glext.h:2049: error: parse error before "target"
/usr/include/GL/glext.h:2050: error: parse error before "target"
/usr/include/GL/glext.h:2051: error: parse error before "target"
/usr/include/GL/glext.h:2052: error: parse error before "target"
/usr/include/GL/glext.h:2053: error: parse error before "target"
/usr/include/GL/glext.h:2054: error: parse error before "target"
/usr/include/GL/glext.h:2055: error: parse error before "target"
/usr/include/GL/glext.h:2056: error: parse error before "target"
/usr/include/GL/glext.h:2057: error: parse error before "target"
/usr/include/GL/glext.h:2058: error: parse error before "target"
/usr/include/GL/glext.h:2059: error: parse error before "target"
/usr/include/GL/glext.h:2060: error: parse error before "target"
/usr/include/GL/glext.h:2061: error: parse error before "target"
/usr/include/GL/glext.h:2062: error: parse error before "target"
/usr/include/GL/glext.h:2063: error: parse error before "target"
/usr/include/GL/glext.h:2064: error: parse error before "target"
/usr/include/GL/glext.h:2065: error: parse error before "target"
/usr/include/GL/glext.h:2066: error: parse error before "target"
/usr/include/GL/glext.h:2067: error: parse error before "target"
/usr/include/GL/glext.h:2068: error: parse error before "target"
/usr/include/GL/glext.h:2069: error: parse error before "target"
/usr/include/GL/glext.h:2070: error: parse error before "target"
/usr/include/GL/glext.h:2071: error: parse error before "target"
/usr/include/GL/glext.h:2072: error: parse error before "target"
/usr/include/GL/glext.h:2073: error: parse error before "target"
/usr/include/GL/glext.h:2074: error: parse error before "target"
/usr/include/GL/glext.h:2075: error: parse error before "target"
/usr/include/GL/glext.h:2094: error: parse error before "target"
/usr/include/GL/glext.h:2095: error: parse error before "target"
/usr/include/GL/glext.h:2096: error: parse error before "target"
/usr/include/GL/glext.h:2097: error: parse error before "target"
/usr/include/GL/glext.h:2098: error: parse error before "target"
/usr/include/GL/glext.h:2099: error: parse error before "target"
/usr/include/GL/glext.h:2100: error: parse error before "target"
/usr/include/GL/glext.h:2101: error: parse error before "value"
/usr/include/GL/glext.h:2102: error: parse error before '*' token
/usr/include/GL/glext.h:2103: error: parse error before '*' token
/usr/include/GL/glext.h:2104: error: parse error before '*' token
/usr/include/GL/glext.h:2105: error: parse error before '*' token
/usr/include/GL/glext.h:2150: error: parse error before "mode"
/usr/include/GL/glext.h:2151: error: parse error before "mode"
/usr/include/GL/glext.h:2152: error: parse error before "pname"
/usr/include/GL/glext.h:2153: error: parse error before "pname"
/usr/include/GL/glext.h:2154: error: parse error before "red"
/usr/include/GL/glext.h:2155: error: parse error before '*' token
/usr/include/GL/glext.h:2156: error: parse error before "red"
/usr/include/GL/glext.h:2157: error: parse error before '*' token
/usr/include/GL/glext.h:2158: error: parse error before "red"
/usr/include/GL/glext.h:2159: error: parse error before '*' token
/usr/include/GL/glext.h:2160: error: parse error before "red"
/usr/include/GL/glext.h:2161: error: parse error before '*' token
/usr/include/GL/glext.h:2162: error: parse error before "red"
/usr/include/GL/glext.h:2163: error: parse error before '*' token
/usr/include/GL/glext.h:2164: error: parse error before "red"
/usr/include/GL/glext.h:2165: error: parse error before '*' token
/usr/include/GL/glext.h:2166: error: parse error before "red"
/usr/include/GL/glext.h:2167: error: parse error before '*' token
/usr/include/GL/glext.h:2168: error: parse error before "red"
/usr/include/GL/glext.h:2169: error: parse error before '*' token
/usr/include/GL/glext.h:2170: error: parse error before "size"
/usr/include/GL/glext.h:2171: error: parse error before "sfactorRGB"
/usr/include/GL/glext.h:2172: error: parse error before "x"
/usr/include/GL/glext.h:2173: error: parse error before "x"
/usr/include/GL/glext.h:2174: error: parse error before "x"
/usr/include/GL/glext.h:2175: error: parse error before "x"
/usr/include/GL/glext.h:2176: error: parse error before '*' token
/usr/include/GL/glext.h:2177: error: parse error before '*' token
/usr/include/GL/glext.h:2178: error: parse error before '*' token
/usr/include/GL/glext.h:2179: error: parse error before '*' token
/usr/include/GL/glext.h:2180: error: parse error before "x"
/usr/include/GL/glext.h:2181: error: parse error before "x"
/usr/include/GL/glext.h:2182: error: parse error before "x"
/usr/include/GL/glext.h:2183: error: parse error before "x"
/usr/include/GL/glext.h:2184: error: parse error before '*' token
/usr/include/GL/glext.h:2185: error: parse error before '*' token
/usr/include/GL/glext.h:2186: error: parse error before '*' token
/usr/include/GL/glext.h:2187: error: parse error before '*' token
/usr/include/GL/glext.h:2205: error: parse error before "value"
/usr/include/GL/glext.h:2246: error: parse error before "texture"
/usr/include/GL/glext.h:2247: error: parse error before "texture"
/usr/include/GL/glext.h:2248: error: parse error before "target"
/usr/include/GL/glext.h:2249: error: parse error before "target"
/usr/include/GL/glext.h:2250: error: parse error before "target"
/usr/include/GL/glext.h:2251: error: parse error before "target"
/usr/include/GL/glext.h:2252: error: parse error before "target"
/usr/include/GL/glext.h:2253: error: parse error before "target"
/usr/include/GL/glext.h:2254: error: parse error before "target"
/usr/include/GL/glext.h:2255: error: parse error before "target"
/usr/include/GL/glext.h:2256: error: parse error before "target"
/usr/include/GL/glext.h:2257: error: parse error before "target"
/usr/include/GL/glext.h:2258: error: parse error before "target"
/usr/include/GL/glext.h:2259: error: parse error before "target"
/usr/include/GL/glext.h:2260: error: parse error before "target"
/usr/include/GL/glext.h:2261: error: parse error before "target"
/usr/include/GL/glext.h:2262: error: parse error before "target"
/usr/include/GL/glext.h:2263: error: parse error before "target"
/usr/include/GL/glext.h:2264: error: parse error before "target"
/usr/include/GL/glext.h:2265: error: parse error before "target"
/usr/include/GL/glext.h:2266: error: parse error before "target"
/usr/include/GL/glext.h:2267: error: parse error before "target"
/usr/include/GL/glext.h:2268: error: parse error before "target"
/usr/include/GL/glext.h:2269: error: parse error before "target"
/usr/include/GL/glext.h:2270: error: parse error before "target"
/usr/include/GL/glext.h:2271: error: parse error before "target"
/usr/include/GL/glext.h:2272: error: parse error before "target"
/usr/include/GL/glext.h:2273: error: parse error before "target"
/usr/include/GL/glext.h:2274: error: parse error before "target"
/usr/include/GL/glext.h:2275: error: parse error before "target"
/usr/include/GL/glext.h:2276: error: parse error before "target"
/usr/include/GL/glext.h:2277: error: parse error before "target"
/usr/include/GL/glext.h:2278: error: parse error before "target"
/usr/include/GL/glext.h:2279: error: parse error before "target"
/usr/include/GL/glext.h:2288: error: parse error before "pname"
/usr/include/GL/glext.h:2289: error: parse error before "pname"
/usr/include/GL/glext.h:2311: error: parse error before "target"
/usr/include/GL/glext.h:2312: error: parse error before "target"
/usr/include/GL/glext.h:2313: error: parse error before "target"
/usr/include/GL/glext.h:2314: error: parse error before "target"
/usr/include/GL/glext.h:2315: error: parse error before "target"
/usr/include/GL/glext.h:2316: error: parse error before "target"
/usr/include/GL/glext.h:2317: error: parse error before "target"
/usr/include/GL/glext.h:2348: error: parse error before '*' token
/usr/include/GL/glext.h:2349: error: parse error before '*' token
/usr/include/GL/glext.h:2350: error: parse error before '*' token
/usr/include/GL/glext.h:2351: error: parse error before '*' token
/usr/include/GL/glext.h:2379: error: parse error before "target"
/usr/include/GL/glext.h:2380: error: parse error before "n"
/usr/include/GL/glext.h:2381: error: parse error before "n"
/usr/include/GL/glext.h:2382: error: parse error before '*' token
/usr/include/GL/glext.h:2382: error: parse error before "buffer"
/usr/include/GL/glext.h:2382: error: `GLboolean' declared as function returning a function
/usr/include/GL/glext.h:2383: error: parse error before "target"
/usr/include/GL/glext.h:2384: error: parse error before "target"
/usr/include/GL/glext.h:2385: error: parse error before "target"
/usr/include/GL/glext.h:2386: error: parse error before "target"
/usr/include/GL/glext.h:2387: error: parse error before "target"
/usr/include/GL/glext.h:2387: error: `PFNGLUNMAPBUFFERARBPROC' declared as function returning a function
/usr/include/GL/glext.h:2388: error: parse error before "target"
/usr/include/GL/glext.h:2389: error: parse error before "target"
/usr/include/GL/glext.h:2458: error: parse error before "index"
/usr/include/GL/glext.h:2459: error: parse error before "index"
/usr/include/GL/glext.h:2460: error: parse error before "index"
/usr/include/GL/glext.h:2461: error: parse error before "index"
/usr/include/GL/glext.h:2462: error: parse error before "index"
/usr/include/GL/glext.h:2463: error: parse error before "index"
/usr/include/GL/glext.h:2464: error: parse error before "index"
/usr/include/GL/glext.h:2465: error: parse error before "index"
/usr/include/GL/glext.h:2466: error: parse error before "index"
/usr/include/GL/glext.h:2467: error: parse error before "index"
/usr/include/GL/glext.h:2468: error: parse error before "index"
/usr/include/GL/glext.h:2469: error: parse error before "index"
/usr/include/GL/glext.h:2470: error: parse error before "index"
/usr/include/GL/glext.h:2471: error: parse error before "index"
/usr/include/GL/glext.h:2472: error: parse error before "index"
/usr/include/GL/glext.h:2473: error: parse error before "index"
/usr/include/GL/glext.h:2474: error: parse error before "index"
/usr/include/GL/glext.h:2475: error: parse error before "index"
/usr/include/GL/glext.h:2476: error: parse error before "index"
/usr/include/GL/glext.h:2477: error: parse error before "index"
/usr/include/GL/glext.h:2478: error: parse error before "index"
/usr/include/GL/glext.h:2479: error: parse error before "index"
/usr/include/GL/glext.h:2480: error: parse error before "index"
/usr/include/GL/glext.h:2481: error: parse error before "index"
/usr/include/GL/glext.h:2482: error: parse error before "index"
/usr/include/GL/glext.h:2483: error: parse error before "index"
/usr/include/GL/glext.h:2484: error: parse error before "index"
/usr/include/GL/glext.h:2485: error: parse error before "index"
/usr/include/GL/glext.h:2486: error: parse error before "index"
/usr/include/GL/glext.h:2487: error: parse error before "index"
/usr/include/GL/glext.h:2488: error: parse error before "index"
/usr/include/GL/glext.h:2489: error: parse error before "index"
/usr/include/GL/glext.h:2490: error: parse error before "index"
/usr/include/GL/glext.h:2491: error: parse error before "index"
/usr/include/GL/glext.h:2492: error: parse error before "index"
/usr/include/GL/glext.h:2493: error: parse error before "index"
/usr/include/GL/glext.h:2494: error: parse error before "index"
/usr/include/GL/glext.h:2495: error: parse error before "index"
/usr/include/GL/glext.h:2496: error: parse error before "index"
/usr/include/GL/glext.h:2497: error: parse error before "target"
/usr/include/GL/glext.h:2498: error: parse error before "target"
/usr/include/GL/glext.h:2499: error: parse error before "n"
/usr/include/GL/glext.h:2500: error: parse error before "n"
/usr/include/GL/glext.h:2501: error: parse error before "target"
/usr/include/GL/glext.h:2502: error: parse error before "target"
/usr/include/GL/glext.h:2503: error: parse error before "target"
/usr/include/GL/glext.h:2504: error: parse error before "target"
/usr/include/GL/glext.h:2505: error: parse error before "target"
/usr/include/GL/glext.h:2506: error: parse error before "target"
/usr/include/GL/glext.h:2507: error: parse error before "target"
/usr/include/GL/glext.h:2508: error: parse error before "target"
/usr/include/GL/glext.h:2509: error: parse error before "target"
/usr/include/GL/glext.h:2510: error: parse error before "target"
/usr/include/GL/glext.h:2511: error: parse error before "target"
/usr/include/GL/glext.h:2512: error: parse error before "target"
/usr/include/GL/glext.h:2513: error: parse error before "target"
/usr/include/GL/glext.h:2514: error: parse error before "target"
/usr/include/GL/glext.h:2515: error: parse error before "index"
/usr/include/GL/glext.h:2516: error: parse error before "index"
/usr/include/GL/glext.h:2517: error: parse error before "index"
/usr/include/GL/glext.h:2518: error: parse error before "index"
/usr/include/GL/glext.h:2519: error: parse error before "program"
/usr/include/GL/glext.h:2519: error: `PFNGLISPROGRAMARBPROC' declared as function returning a function
/usr/include/GL/glext.h:2542: error: parse error before "x"
/usr/include/GL/glext.h:2543: error: parse error before "x"
/usr/include/GL/glext.h:2544: error: parse error before "x"
/usr/include/GL/glext.h:2545: error: parse error before "x"
/usr/include/GL/glext.h:2546: error: parse error before '*' token
/usr/include/GL/glext.h:2547: error: parse error before '*' token
/usr/include/GL/glext.h:2548: error: parse error before '*' token
/usr/include/GL/glext.h:2549: error: parse error before '*' token
/usr/include/GL/glext.h:2550: error: parse error before "x"
/usr/include/GL/glext.h:2551: error: parse error before "x"
/usr/include/GL/glext.h:2552: error: parse error before "x"
/usr/include/GL/glext.h:2553: error: parse error before "x"
/usr/include/GL/glext.h:2554: error: parse error before '*' token
/usr/include/GL/glext.h:2555: error: parse error before '*' token
/usr/include/GL/glext.h:2556: error: parse error before '*' token
/usr/include/GL/glext.h:2557: error: parse error before '*' token
/usr/include/GL/glext.h:2573: error: parse error before "red"
/usr/include/GL/glext.h:2581: error: parse error before "sfactorRGB"
/usr/include/GL/glext.h:2589: error: parse error before "mode"
/usr/include/GL/glext.h:2602: error: parse error before "first"
/usr/include/GL/glext.h:2611: error: parse error before "mode"
/usr/include/GL/glext.h:2623: error: parse error before "coord"
/usr/include/GL/glext.h:2624: error: parse error before '*' token
/usr/include/GL/glext.h:2625: error: parse error before "coord"
/usr/include/GL/glext.h:2626: error: parse error before '*' token
/usr/include/GL/glext.h:2627: error: parse error before "type"
/usr/include/GL/glext.h:2636: error: parse error before "mode"
/usr/include/GL/glext.h:2637: error: parse error before "mode"
/usr/include/GL/glext.h:2653: error: parse error before "target"
/usr/include/GL/glext.h:2654: error: parse error before "target"
/usr/include/GL/glext.h:2655: error: parse error before "target"
/usr/include/GL/glext.h:2656: error: parse error before "target"
/usr/include/GL/glext.h:2657: error: parse error before "target"
/usr/include/GL/glext.h:2668: error: parse error before "pname"
/usr/include/GL/glext.h:2669: error: parse error before "pname"
/usr/include/GL/glext.h:2670: error: parse error before "pname"
/usr/include/GL/glext.h:2671: error: parse error before "pname"
/usr/include/GL/glext.h:2699: error: parse error before "red"
/usr/include/GL/glext.h:2700: error: parse error before '*' token
/usr/include/GL/glext.h:2701: error: parse error before "red"
/usr/include/GL/glext.h:2702: error: parse error before '*' token
/usr/include/GL/glext.h:2703: error: parse error before "red"
/usr/include/GL/glext.h:2704: error: parse error before '*' token
/usr/include/GL/glext.h:2705: error: parse error before "red"
/usr/include/GL/glext.h:2706: error: parse error before '*' token
/usr/include/GL/glext.h:2707: error: parse error before "red"
/usr/include/GL/glext.h:2708: error: parse error before '*' token
/usr/include/GL/glext.h:2709: error: parse error before "red"
/usr/include/GL/glext.h:2710: error: parse error before '*' token
/usr/include/GL/glext.h:2711: error: parse error before "red"
/usr/include/GL/glext.h:2712: error: parse error before '*' token
/usr/include/GL/glext.h:2713: error: parse error before "red"
/usr/include/GL/glext.h:2714: error: parse error before '*' token
/usr/include/GL/glext.h:2715: error: parse error before "size"
/usr/include/GL/glext.h:2735: error: parse error before "face"
/usr/include/GL/glext.h:2776: error: parse error before "n"
/usr/include/GL/glext.h:2776: error: `PFNGLARETEXTURESRESIDENTEXTPROC' declared as function returning a function
/usr/include/GL/glext.h:2777: error: parse error before "target"
/usr/include/GL/glext.h:2778: error: parse error before "n"
/usr/include/GL/glext.h:2779: error: parse error before "n"
/usr/include/GL/glext.h:2780: error: parse error before "texture"
/usr/include/GL/glext.h:2780: error: `PFNGLISTEXTUREEXTPROC' declared as function returning a function
/usr/include/GL/glext.h:2781: error: parse error before "n"
/usr/include/GL/glext.h:2790: error: parse error before "target"
/usr/include/GL/glext.h:2791: error: parse error before "target"
/usr/include/GL/glext.h:2807: error: parse error before "i"
/usr/include/GL/glext.h:2808: error: parse error before "size"
/usr/include/GL/glext.h:2809: error: parse error before "mode"
/usr/include/GL/glext.h:2810: error: parse error before "stride"
/usr/include/GL/glext.h:2811: error: parse error before "pname"
/usr/include/GL/glext.h:2812: error: parse error before "type"
/usr/include/GL/glext.h:2813: error: parse error before "type"
/usr/include/GL/glext.h:2814: error: parse error before "size"
/usr/include/GL/glext.h:2815: error: parse error before "size"
/usr/include/GL/glext.h:2825: error: parse error before "weight"
/usr/include/GL/glext.h:2826: error: parse error before '*' token
/usr/include/GL/glext.h:2827: error: parse error before "size"
/usr/include/GL/glext.h:2859: error: parse error before "type"
/usr/include/GL/glext.h:2860: error: parse error before "mode"
/usr/include/GL/glext.h:2861: error: parse error before "mode"
/usr/include/GL/glext.h:2862: error: parse error before "mode"
/usr/include/GL/glext.h:2863: error: parse error before "mode"
/usr/include/GL/glext.h:2877: error: parse error before "n"
/usr/include/GL/glext.h:2878: error: parse error before "n"
/usr/include/GL/glext.h:2879: error: parse error before "fence"
/usr/include/GL/glext.h:2879: error: `PFNGLISFENCENVPROC' declared as function returning a function
/usr/include/GL/glext.h:2880: error: parse error before "fence"
/usr/include/GL/glext.h:2880: error: `PFNGLTESTFENCENVPROC' declared as function returning a function
/usr/include/GL/glext.h:2881: error: parse error before "fence"
/usr/include/GL/glext.h:2882: error: parse error before "fence"
/usr/include/GL/glext.h:2883: error: parse error before "fence"
/usr/include/GL/glext.h:2904: error: parse error before "id"
/usr/include/GL/glext.h:2905: error: parse error before "id"
/usr/include/GL/glext.h:2906: error: parse error before "id"
/usr/include/GL/glext.h:2907: error: parse error before "id"
/usr/include/GL/glext.h:2908: error: parse error before "id"
/usr/include/GL/glext.h:2909: error: parse error before "id"
/usr/include/GL/glext.h:2985: error: parse error before "target"
/usr/include/GL/glext.h:2986: error: parse error before "target"
/usr/include/GL/glext.h:2987: error: parse error before "target"
/usr/include/GL/glext.h:2988: error: parse error before "target"
/usr/include/GL/glext.h:2989: error: parse error before "target"
/usr/include/GL/glext.h:2990: error: parse error before "target"
/usr/include/GL/glext.h:2991: error: parse error before "target"
/usr/include/GL/glext.h:2992: error: parse error before "target"
/usr/include/GL/glext.h:2999: error: parse error before "index"
/usr/include/GL/glext.h:3000: error: parse error before "index"
/usr/include/GL/glext.h:3001: error: parse error before "index"
/usr/include/GL/glext.h:3002: error: parse error before "index"
/usr/include/GL/glext.h:3003: error: parse error before "index"
/usr/include/GL/glext.h:3004: error: parse error before "index"
/usr/include/GL/glext.h:3005: error: parse error before "index"
/usr/include/GL/glext.h:3006: error: parse error before "index"
/usr/include/GL/glext.h:3007: error: parse error before "index"
/usr/include/GL/glext.h:3008: error: parse error before "index"
/usr/include/GL/glext.h:3009: error: parse error before "index"
/usr/include/GL/glext.h:3010: error: parse error before "index"
/usr/include/GL/glext.h:3032: error: parse error before "n"
/usr/include/GL/glext.h:3033: error: parse error before "n"
/usr/include/GL/glext.h:3034: error: parse error before "id"
/usr/include/GL/glext.h:3035: error: parse error before "id"
/usr/include/GL/glext.h:3037: error: parse error before "id"
/usr/include/GL/glext.h:3038: error: parse error before "id"
/usr/include/GL/glext.h:3051: error: parse error before "target"
/usr/include/GL/glext.h:3052: error: parse error before "target"
/usr/include/GL/glext.h:3061: error: parse error before "pname"
/usr/include/GL/glext.h:3062: error: parse error before "pname"
/usr/include/GL/glext.h:3072: error: parse error before "index"
/usr/include/GL/glext.h:3092: error: parse error before "pname"
/usr/include/GL/glext.h:3093: error: parse error before "pname"
/usr/include/GL/glext.h:3094: error: parse error before "pname"
/usr/include/GL/glext.h:3095: error: parse error before "pname"
/usr/include/GL/glext.h:3096: error: parse error before "stage"
/usr/include/GL/glext.h:3097: error: parse error before "stage"
/usr/include/GL/glext.h:3098: error: parse error before "variable"
/usr/include/GL/glext.h:3099: error: parse error before "stage"
/usr/include/GL/glext.h:3100: error: parse error before "stage"
/usr/include/GL/glext.h:3101: error: parse error before "stage"
/usr/include/GL/glext.h:3102: error: parse error before "stage"
/usr/include/GL/glext.h:3103: error: parse error before "variable"
/usr/include/GL/glext.h:3104: error: parse error before "variable"
/usr/include/GL/glext.h:3113: error: parse error before "stage"
/usr/include/GL/glext.h:3114: error: parse error before "stage"
/usr/include/GL/glext.h:3122: error: parse error before "face"
/usr/include/GL/glext.h:3164: error: parse error before "size"
/usr/include/GL/glext.h:3239: error: parse error before "n"
/usr/include/GL/glext.h:3239: error: `PFNGLAREPROGRAMSRESIDENTNVPROC' declared as function returning a function
/usr/include/GL/glext.h:3240: error: parse error before "target"
/usr/include/GL/glext.h:3241: error: parse error before "n"
/usr/include/GL/glext.h:3242: error: parse error before "target"
/usr/include/GL/glext.h:3243: error: parse error before "n"
/usr/include/GL/glext.h:3244: error: parse error before "target"
/usr/include/GL/glext.h:3245: error: parse error before "target"
/usr/include/GL/glext.h:3246: error: parse error before "id"
/usr/include/GL/glext.h:3247: error: parse error before "id"
/usr/include/GL/glext.h:3248: error: parse error before "target"
/usr/include/GL/glext.h:3249: error: parse error before "index"
/usr/include/GL/glext.h:3250: error: parse error before "index"
/usr/include/GL/glext.h:3251: error: parse error before "index"
/usr/include/GL/glext.h:3252: error: parse error before "index"
/usr/include/GL/glext.h:3253: error: parse error before "id"
/usr/include/GL/glext.h:3253: error: `PFNGLISPROGRAMNVPROC' declared as function returning a function
/usr/include/GL/glext.h:3254: error: parse error before "target"
/usr/include/GL/glext.h:3255: error: parse error before "target"
/usr/include/GL/glext.h:3256: error: parse error before "target"
/usr/include/GL/glext.h:3257: error: parse error before "target"
/usr/include/GL/glext.h:3258: error: parse error before "target"
/usr/include/GL/glext.h:3259: error: parse error before "target"
/usr/include/GL/glext.h:3260: error: parse error before "target"
/usr/include/GL/glext.h:3261: error: parse error before "n"
/usr/include/GL/glext.h:3262: error: parse error before "target"
/usr/include/GL/glext.h:3263: error: parse error before "index"
/usr/include/GL/glext.h:3264: error: parse error before "index"
/usr/include/GL/glext.h:3265: error: parse error before "index"
/usr/include/GL/glext.h:3266: error: parse error before "index"
/usr/include/GL/glext.h:3267: error: parse error before "index"
/usr/include/GL/glext.h:3268: error: parse error before "index"
/usr/include/GL/glext.h:3269: error: parse error before "index"
/usr/include/GL/glext.h:3270: error: parse error before "index"
/usr/include/GL/glext.h:3271: error: parse error before "index"
/usr/include/GL/glext.h:3272: error: parse error before "index"
/usr/include/GL/glext.h:3273: error: parse error before "index"
/usr/include/GL/glext.h:3274: error: parse error before "index"
/usr/include/
leerbag

Re: GL related linux compile problem

Post by leerbag »

leerbag wrote: Here is my config.log:
oops sorry I did not notice it was that long :oops:
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

paste the last part of it... where it says "program that failed to compile"...

at the very bottom...ie. that was just a warning, not an error
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
leerbag

oh my

Post by leerbag »

here is the end of my config.log:

Code: Select all

configure:9817: checking for al.h
configure:9828: gcc -E   -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      conftest.c
configure:9873:17: al.h: No such file or directory
configure:9834: $? = 1
configure: failed program was:
| #line 9819 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_SDL_JOYSTICKOPEN 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h.  */
|  #include <al.h>
configure:9853: result: yes
configure:9968: checking AL/alext.h usability
configure:9981: gcc -c    -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      conftest.c >&5
configure:9984: $? = 0
configure:9987: test -s conftest.o
configure:9990: $? = 0
configure:10000: result: yes
configure:10004: checking AL/alext.h presence
configure:10015: gcc -E   -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      conftest.c
configure:10021: $? = 0
configure:10040: result: yes
configure:10076: checking for AL/alext.h
configure:10083: result: yes
configure:11002: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on gab

config.status:723: creating Makefile
config.status:723: creating src/Makefile
config.status:723: creating src/gldrv/Makefile
config.status:723: creating src/aldrv/Makefile
config.status:723: creating src/gfx/Makefile
config.status:723: creating src/gfx/nav/Makefile
config.status:723: creating src/cmd/Makefile
config.status:723: creating src/cmd/ai/Makefile
config.status:723: creating src/cmd/collide/Makefile
config.status:723: creating src/cmd/script/Makefile
config.status:723: creating src/cmd/script/c_alike/Makefile
config.status:723: creating src/cmd/collide/csgeom/Makefile
config.status:723: creating src/python/Makefile
config.status:723: creating launcher/Makefile
config.status:723: creating src/networking/Makefile
config.status:723: creating src/networking/lowlevel/Makefile
config.status:723: creating src/boost/Makefile
config.status:723: creating objconv/Makefile
config.status:723: creating src/gui/Makefile
config.status:723: creating src/common/Makefile
config.status:723: creating src/boost129/Makefile
config.status:827: creating config.h
config.status:1136: executing depfiles commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_build_alias=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_c_inline=inline
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func_SDL_JoystickOpen=yes
ac_cv_func__finite=no
ac_cv_func__isnan=no
ac_cv_func_access=yes
ac_cv_func_finite=yes
ac_cv_func_fork=yes
ac_cv_func_fork_works=yes
ac_cv_func_getcwd=yes
ac_cv_func_getpagesize=yes
ac_cv_func_gettimeofday=yes
ac_cv_func_glXGetProcAddressARB=yes
ac_cv_func_isnan=yes
ac_cv_func_lstat=yes
ac_cv_func_memcmp_working=yes
ac_cv_func_mmap_fixed_mapped=yes
ac_cv_func_select=yes
ac_cv_func_socket=yes
ac_cv_func_strdup=yes
ac_cv_func_strstr=yes
ac_cv_func_vfork=yes
ac_cv_func_vfork_works=yes
ac_cv_header_AL_alext_h=yes
ac_cv_header_GL_glext_h=yes
ac_cv_header_GL_glut_h=yes
ac_cv_header_dirent_dirent_h=yes
ac_cv_header_expat_h=yes
ac_cv_header_fcntl_h=yes
ac_cv_header_ieeefp_h=no
ac_cv_header_inttypes_h=yes
ac_cv_header_jpeglib_h=yes
ac_cv_header_limits_h=yes
ac_cv_header_malloc_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_png_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_ioctl_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_time=yes
ac_cv_header_unistd_h=yes
ac_cv_header_vfork_h=no
ac_cv_header_zlib_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_host_alias=i686-pc-linux-gnu
ac_cv_lib_SDL_mixer_Mix_OpenAudio=yes
ac_cv_objext=o
ac_cv_path_SDL_CONFIG=/usr/bin/sdl-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_egrep='grep -E'
ac_cv_prog_make_make_set=yes
ac_cv_search_opendir='none required'
ac_cv_target=i686-pc-linux-gnu
ac_cv_target_alias=i686-pc-linux-gnu
ac_cv_type_pid_t=yes
ac_cv_type_size_t=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run aclocal-1.7'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run tar'
AUTOCONF='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run autoconf'
AUTOHEADER='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run autoheader'
AUTOMAKE='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run automake-1.7'
AWK='gawk'
BOOST_CPPFLAGS='-DUSE_BOOST_128=1'
BOOST_LIBS='../src/boost/libpython_boost.a'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS=' -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math    -I/usr/include/SDL -D_REENTRANT  -pipe '
CPP='gcc -E'
CPPFLAGS='  -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      -DHAVE_AL=1   -I/usr/local/include/python2.3 -DHAVE_PYTHON=1  -DUSE_BOOST_128=1 '
CXX='g++'
CXXCPP='g++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS=' -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math   -I/usr/include/SDL -D_REENTRANT -pipe '
CYGPATH_W='echo'
DEFS='-DHAVE_CONFIG_H'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
EXEEXT=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS='-L/usr/X11R6/lib -L/usr/X11R6/lib '
LIBOBJS=''
LIBS='  -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer  -lGL  -lGLU  -lglut  -lXi -lXmu  -lexpat  -lpng  -ljpeg  -lopenal -lpython2.3 -Xlinker -export-dynamic'
LINUX_FALSE='#'
LINUX_TRUE=''
LN_S='ln -s'
LTLIBOBJS=''
MACOSX_FALSE=''
MACOSX_TRUE='#'
MAKEINFO='${SHELL} /home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/missing --run makeinfo'
NETCOMM_FALSE=''
NETCOMM_JVOIP_FALSE=''
NETCOMM_JVOIP_TRUE='#'
NETCOMM_NOSOUND_FALSE='#'
NETCOMM_NOSOUND_TRUE=''
NETCOMM_NOWEBCAM_FALSE='#'
NETCOMM_NOWEBCAM_TRUE=''
NETCOMM_PORTAUDIO_FALSE=''
NETCOMM_PORTAUDIO_TRUE='#'
NETCOMM_TRUE='#'
OBJEXT='o'
PACKAGE='vegastrike'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PYTHON_CPPFLAGS=' -I/usr/local/include/python2.3 -DHAVE_PYTHON=1 '
PYTHON_LIBS='-lpython2.3 -Xlinker -export-dynamic'
RANLIB='ranlib'
SDL_CFLAGS='-I/usr/include/SDL -D_REENTRANT'
SDL_CONFIG='/usr/bin/sdl-config'
SDL_LIBS='-L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
TR_CFLAGS='-pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math    -I/usr/include/SDL -D_REENTRANT'
TR_CPPFLAGS=' -DHAVE_SDL=1 -DSDL_WINDOWING=1 -DHAVE_SDL_MIXER=1      -DHAVE_AL=1 '
TR_CXXFLAGS='-pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math   -I/usr/include/SDL -D_REENTRANT'
TR_LIBS=' -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer  -lGL  -lGLU  -lglut  -lXi -lXmu  -lexpat  -lpng  -ljpeg  -lopenal'
USEBOOST128_FALSE='#'
USEBOOST128_TRUE=''
VERSION='0.4.0'
WIN32_FALSE=''
WIN32_TRUE='#'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
ac_ct_RANLIB='ranlib'
ac_ct_STRIP=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='${prefix}'
host='i686-pc-linux-gnu'
host_alias=''
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/gab/vg2/vegastrike-0.4.1-installer/vegastrike/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target='i686-pc-linux-gnu'
target_alias=''
target_cpu='i686'
target_os='linux-gnu'
target_vendor='pc'

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define HAVE_ACCESS 1
#define HAVE_AL_ALEXT_H 1
#define HAVE_DIRENT_H 1
#define HAVE_FCNTL_H 1
#define HAVE_FINITE 1
#define HAVE_FORK 1
#define HAVE_GETCWD 1
#define HAVE_GETPAGESIZE 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_GLXGETPROCADDRESSARB 1
#define HAVE_GL_GLEXT_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_ISNAN 1
#define HAVE_LIMITS_H 1
#define HAVE_LSTAT 1
#define HAVE_MALLOC_H 1
#define HAVE_MEMORY_H 1
#define HAVE_MMAP 1
#define HAVE_SDL_JOYSTICKOPEN 1
#define HAVE_SELECT 1
#define HAVE_SOCKET 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRDUP 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_STRSTR 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_VFORK 1
#define HAVE_WORKING_FORK 1
#define HAVE_WORKING_VFORK 1
#define HAVE_ZLIB_H 1
#define PACKAGE "vegastrike"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define STDC_HEADERS 1
#define TIME_WITH_SYS_TIME 1
#define VERSION "0.4.0"
#endif
#ifdef __cplusplus
#include <stdlib.h>

configure: exit 0

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status config.h

on gab

config.status:827: creating config.h
does it mean i have problem with al.h ????
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

it claims the ./configure completed successfully

what happens when you do make?
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
leerbag

Post by leerbag »

after 30 mins compiling it ends with the GL_CONSTANT_ALPHA error as quoted above.
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

you need more recent gl.h headers
you can get these from nvidia, or you can manually paste the newer constants in

anyone have more recent headers handy?

you can google for what the value of GL_CONSTANT_ALPHA is...but it's been in the stadard GL spec for a while now
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
leerbag

Post by leerbag »

In fact the variables that produce the errors ARE in my glext.h :

Code: Select all

#define GL_CONSTANT_COLOR                 0x8001
#define GL_ONE_MINUS_CONSTANT_COLOR       0x8002
#define GL_CONSTANT_ALPHA                 0x8003
#define GL_ONE_MINUS_CONSTANT_ALPHA       0x8004
That's why I do not understand the error...
Some of my GL-header are older than other ones, so I will download new ones for all.
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

paste those #define's into the cpp file in question :-) see if that fixes it
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
leerbag

Post by leerbag »

ok it works: I have paste the values of the constants in the cpp (insteads of the constants).
Then I realised I had not installed the library gtk-devel so I did it.

And now it stop again after 40 mins compiling with the error:

Code: Select all

g++  -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math   -I/usr/include/SDL -D_REENTRANT -pipe   -L/usr/X11R6/lib -L/usr/X11R6/lib  -o vslauncher `gtk-config --libs` saveinterface.o general.o ../src/common/libvscommon.a  -lutil -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread -lSDL_mixer  -lGL  -lGLU  -lglut  -lXi -lXmu  -lexpat  -lpng  -ljpeg  -lopenal -lpython2.3 -Xlinker -export-dynamic
make[2]: Leaving directory `/home/gab/vg/vegastrike/launcher'
Making all in tools
make[2]: Entering directory `/home/gab/vg/vegastrike/tools'
make[2]: *** No rule to make target `all'.  Stop.
make[2]: Leaving directory `/home/gab/vg/vegastrike/tools'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/gab/vg/vegastrike'
make: *** [all] Error 2
Any Idee what is missing here so that it cannot make it all?
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

I think that means it worked ;-)
check if there is a program called src/vegastrike

someone committed the tools directory at the exact time I was making the package and I didn't notice it
so it got overlooked and the compile declared failure but was successful
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
KeTZer
Atmospheric Pilot
Atmospheric Pilot
Posts: 1
Joined: Sun May 02, 2004 8:07 pm
Location: Munich/Germany
Contact:

Post by KeTZer »

After fixing another prob I also encountered this problem and as I´m not really used to scripting and that stuff I´d need to know a little more exact what #Define´s to paste where in the gl_state.cpp. Just what to do exactly. Or just empty the file and copy any defines from glext.h in it??
hellcatv
Developer
Developer
Posts: 3980
Joined: Fri Jan 03, 2003 4:53 am
Location: Stanford, CA
Contact:

Post by hellcatv »

what is the exact problem? I thought you made it to the tools dir

paste the error and we can help you more
Vega Strike Lead Developer
http://vegastrike.sourceforge.net/
leerbag

Post by leerbag »

Yeah it worked :-D

Thanks for the help!!!

To sum up my problem/solution

1) the compilation ended with the error:

Code: Select all

gl_state.cpp: In function `void GFXBlendMode(BLENDFUNC, BLENDFUNC)': 
gl_state.cpp:183: error: `GL_CONSTANT_ALPHA' undeclared (first use this 
 function) 
gl_state.cpp:183: error: (Each undeclared identifier is reported only once for 
 each function it appears in.) 
gl_state.cpp:185: error: `GL_ONE_MINUS_CONSTANT_ALPHA' undeclared (first use 
 this function) 
gl_state.cpp:187: error: `GL_CONSTANT_COLOR' undeclared (first use this 
 function) 
gl_state.cpp:189: error: `GL_ONE_MINUS_CONSTANT_COLOR' undeclared (first use 
 this function) 
2) I checked and the 4 constants were already defined in glext.h but mysteriously not found.
3) so I replace the constants with their values in the gl_state.cpp (2 times each value)
4) Then it works (after installing the library gtk-devel)
5) another error occured at the end of compilation (no rule to make all in tools/) but no big deal: vg starts!

YEAH!
Post Reply